using System;
using Microsoft.BizTalk.Message.Interop;

namespace Macaw.BizTalk.Pipeline
{
    /// <summary>
    /// The FileAdapterMessageContext class exposes the
    /// message context properties for the FILE adapter.
    /// </summary>
    public class FileAdapterMessageContext : MessageContextBase
    {
        public const string FileAdapterNamespace = "http://schemas.microsoft.com/BizTalk/2003/file-properties";

        public FileAdapterMessageContext(IBaseMessageContext msgCtx)
            : base(msgCtx)
        { }

        /// <summary>
        /// Gets or sets the FILE.ReceivedFileName property.
        /// </summary>
        /// <remarks>Setting this property will promote the
        /// FILE.ReceivedFileName property. 
        /// The %SourceFileName% macro for send ports use this
        /// context property as its value.</remarks>
        public string SourceFileName
        {
            get
            {
                return Read(FileAdapterNamespace,
                    "ReceivedFileName", String.Empty);
            }
            set
            {
                WritePromoted(FileAdapterNamespace,
                    "ReceivedFileName", value);
            }
        }
    }
}
